/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@media print {
  body * {
    &:has(.EditableArea),
    .EditableArea,
    .EditableArea * {
      overflow: visible !important;
      [contenteditable='true'] {
        border-bottom: 0px !important;
      }
    }
  }

  .lea-editor {
    .EditableContainer {
      display: block !important;
    }
    .Slate,
    .Sidebar,
    .SlateEditable,
    .EditableContainer {
      background-color: #fff !important;
    }
    .ant-tree-list-holder {
      max-height: none !important;
    }
    .SlateToolbar,
    .lea-ui-toolbar,
    .top-toolbar,
    .menu-container,
    .SlateSidebar.Right,
    .drawer-dragger {
      display: none !important;
      width: 0px !important;
      height: 0px !important;
    }
  }

  header.ant-layout-header,
  footer.ant-layout-footer {
    display: none;
    width: 0px !important;
    height: 0px !important;
  }
}
